/* LaTeX-like settings override */
:root {
  --body-color: hsl(0, 5%, 10%);
  --body-bg-color: hsl(210, 20%, 98%);
  --link-visited: hsl(210, 60%, 45%);
  --link-focus-outline: hsl(220, 90%, 52%);
  --pre-bg-color: hsl(210, 28%, 93%);
  --kbd-bg-color: hsl(210, 5%, 100%);
  --kbd-border-color: hsl(210, 5%, 70%);
  --table-border-color: black;
  --border-width-thin: 1.36px;
  --border-width-thick: 2.27px;
  --sidenote-target-border-color: hsl(55, 55%, 70%);
  --footnotes-border-color: hsl(0, 0%, 39%);
  --text-indent-size: 1.463rem; /* In 12pt [Latin Modern font] LaTeX article
  \parindent =~ 17.625pt; taking also into account the ratio
  1pt[LaTeX] = (72 / 72.27) * 1pt[HTML], with default 12pt/1rem LaTeX.css font
  size, the identation value in rem CSS units is:
  \parindent =~ 17.625 * (72 / 72.27) / 12 = 1.463rem. */
}

/* Text typography override */
body {
    font-family: XCharter !important;
    line-height: 1.8;
}

/* Tweaks for the header */
.posts-heading h1 {
    margin-bottom: -0.25em;
}

.post-date {
    font-size: 80%;
    color: #888;
}

footer .theme-by {
    font-size: 80%;
    opacity: 0.8;
}

/* Tweaks for posts list */
.post-title {
    margin-bottom: -0.5em;
}

.meta-post {
    font-size: 0.8em;
    color: #888;
}

/* Tweaks for foonotes */
.footnotes > hr {
    display: none;
}

/* Collapsible details, e.g. for proofs */
details {
    background-color: rgba(5, 5, 5, 0.025);
    border-left: 2px solid #AAA;
    border-radius: 0 5px 5px 0;
    padding: 0 5px;
    margin-top: 3px;
    margin-bottom: -10px;
}

details[open] {
    background-color: rgba(5, 5, 5, 0.025);
}

details summary {
    cursor: pointer;
}


/* Make $$ math $$ wrap */
.katex-display {
    overflow-x: auto;
    max-width: 100%;
}
